Actualizări de securitate disponibile pentru Adobe Flash Player

Data lansării: 20 februarie 2014

Identificator vulnerabilitate: APSB14-07

Prioritate: Consultați tabelul de mai jos

Număr CVE: CVE-2014-0498, CVE-2014-0499, CVE-2014-0502

Platformă: Toate platformele

Sumar

Adobe a lansat actualizări de securitate pentru Adobe Flash Player 12.0.0.44 și versiunile anterioare pentru Windows și Macintosh și pentru Adobe Flash Player 11.2.202.336 și versiunile anterioare pentru Linux. Aceste actualizări corectează vulnerabilități care pot permite unui atacator să preia controlul asupra sistemului afectat. Adobe a luat la cunoștință raportări conform cărora în mediul extern există deja o exploatare a CVE-2014-0502, recomandându-le utilizatorilor să își actualizeze produsele instalate la cele mai noi versiuni:

  • Utilizatorii Adobe Flash Player 12.0.0.44 și ai versiunilor anterioare pentru Windows și Macintosh trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.70
  • Utilizatorii Adobe Flash Player 11.2.202.336 și ai versiunilor anterioare pentru Linux trebuie să efectueze actualizarea la Adobe Flash Player 11.2.202.341.
  • Adobe Flash Player 12.0.0.44 instalat cu Google Chrome va fi actualizat automat la cea mai recentă versiune Google Chrome, care va include Adobe Flash Player 12.0.0.70 pentru Windows, Macintosh și Linux.
  • Adobe Flash Player 12.0.0.44 instalat cu Internet Explorer 10 va fi actualizat automat la cea mai recentă versiune Internet Explorer 10, care va include Adobe Flash Player 12.0.0.70 pentru Windows 8.0.
  • Adobe Flash Player 12.0.0.44 instalat cu Internet Explorer 11 va fi actualizat automat la cea mai recentă versiune Internet Explorer 11, care va include Adobe Flash Player 12.0.0.70 pentru Windows 8.1.
  • Utilizatorii Adobe AIR 4.0.0.1390 și ai versiunilor anterioare pentru Android trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1628.
  • Utilizatorii SDK-ului Adobe AIR 4.0.0.1390 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul Adobe AIR 4.0.0.1628.
  • Utilizatorii SDK-ului și compilatorului Adobe AIR 4.0.0.1390 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul și compilatorul Adobe AIR 4.0.0.1628.

 

Versiuni de software afectate

  • Adobe Flash Player 12.0.0.44 și versiunile anterioare pentru Windows și Macintosh
  • Adobe Flash Player 11.2.202.336 și versiunile anterioare pentru Linux
  • Adobe AIR 4.0.0.1390 și versiunile anterioare pentru Android
  • SDK-ul Adobe AIR 3.9.0.1390 și versiunile anterioare
  • SDK-ul și compilatorul Adobe AIR 3.9.0.1390 și versiunile anterioare

Pentru a verifica versiunea de Adobe Flash Player instalată pe sistem, accesați pagina Despre Flash Player sau faceți clic dreapta pe conținutul care rulează în Flash Player și selectați „Despre Adobe (sau Macromedia) Flash Player” din meniu. Dacă utilizați mai multe browsere, faceți această verificare pe fiecare browser instalat pe sistem.

Pentru a verifica versiunea de Adobe Flash Player pentru Android, mergeți la Setări > Aplicații > Gestionare aplicații > Adobe Flash Player x.x.

Pentru a verifica versiunea de Adobe AIR instalată pe sistem, urmați instrucțiunile din Nota tehnică Adobe AIR.

Soluție

Adobe recomandă utilizatorilor să actualizeze software-urile instalate prin urmarea instrucțiunilor de mai jos:

  • Adobe le recomandă utilizatorilor Adobe Flash Player 12.0.0.44 și ai versiunilor anterioare pentru Windows și Macintosh să efectueze actualizarea la cea mai nouă versiune, 12.0.0.70, prin descărcarea acesteia de la Centrul de descărcare Adobe Flash Player, sau prin mecanismul de actualizare din cadrul produsului, când primesc o solicitare în acest sens.
  • Adobe le recomandă utilizatorilor Adobe Flash Player 11.2.202.336 și ai versiunilor anterioare pentru Linux să efectueze actualizarea la Adobe Flash Player 11.2.202.341 prin descărcarea acesteia de la /Centrul de descărcare Adobe Flash Player.
  • Pentru utilizatorii Flash Player 11.7.700.261 și ai versiunilor anterioare pentru Windows și Macintosh, care nu pot să efectueze actualizarea la Flash Player 12.0.0.44, Adobe a pus la dispoziție actualizarea Flash Player 11.7.700.269, care poate fi descărcată de aici.
  • Adobe Flash Player 12.0.0.44 instalat cu Google Chrome va fi actualizat automat la cea mai recentă versiune Google Chrome, care va include Adobe Flash Player 12.0.0.70 pentru Windows, Macintosh și Linux.
  • Adobe Flash Player 12.0.0.44 instalat cu Internet Explorer 10 va fi actualizat automat la cea mai recentă versiune Internet Explorer 10, care va include Adobe Flash Player 12.0.0.70 pentru Windows 8.0.
  • Adobe Flash Player 12.0.0.44 instalat cu Internet Explorer 11 va fi actualizat automat la cea mai recentă versiune Internet Explorer 11, care va include Adobe Flash Player 12.0.0.70 pentru Windows 8.1.
  • Utilizatorii SDK-ului Adobe AIR 4.0.0.1390 trebuie să efectueze actualizarea la SDK-ul Adobe AIR 4.0.0.1628.
  • Utilizatorii SDK-ului și compilatorului Adobe AIR 4.0.0.1390 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul și compilatorul Adobe AIR 4.0.0.1680.
  • Utilizatorii Adobe AIR 4.0.0.1390 și ai versiunilor anterioare pentru Android trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1628, navigând la Google Play de pe un dispozitiv cu Android.

Evaluări ale priorității și gravității

Adobe clasifică aceste actualizări cu următoarele evaluări ale priorității și recomandă utilizatorilor să-și actualizeze produsul instalat la cea mai nouă versiune:

Produs Versiune actualizată Platformă Evaluare a priorității
Adobe Flash Player 12.0.0.70
Windows și Macintosh
1
  12.0.0.70 Internet Explorer 10 pentru Windows 8.0 1
  12.0.0.70 Internet Explorer 11 pentru Windows 8.1 1
  12.0.0.70 Chrome pentru Windows, Macintosh şi Linux 1
  11.7.700.269 Windows și Macintosh 1
  11.2.202.341 Linux 3
Adobe AIR 4.0.0.1628 Android 3
SDK-ul şi compilatorul Adobe AIR 4.0.0.1628 Windows și Macintosh
3
SDK-ul Adobe AIR 4.0.0.1628 Windows și Macintosh 3

Aceste actualizări remediază vulnerabilități critice din software.

Detalii

Adobe a lansat actualizări de securitate pentru Adobe Flash Player 12.0.0.44 și versiunile anterioare pentru Windows și Macintosh și pentru Adobe Flash Player 11.2.202.336 și versiunile anterioare pentru Linux. Aceste actualizări corectează vulnerabilități care pot permite unui atacator să preia controlul asupra sistemului afectat. Adobe a luat la cunoștință raportări conform cărora în mediul extern există deja o exploatare a CVE-2014-0502, recomandându-le utilizatorilor să își actualizeze produsele instalate la cele mai noi versiuni:

  • Utilizatorii Adobe Flash Player 12.0.0.44 și ai versiunilor anterioare pentru Windows și Macintosh trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.70
  • Utilizatorii Adobe Flash Player 11.2.202.336 și ai versiunilor anterioare pentru Linux trebuie să efectueze actualizarea la Adobe Flash Player 11.2.202.341.
  • Adobe Flash Player 12.0.0.44 instalat cu Google Chrome va fi actualizat automat la cea mai recentă versiune Google Chrome, care va include Adobe Flash Player 12.0.0.70 pentru Windows, Macintosh și Linux.
  • Adobe Flash Player 12.0.0.44 instalat cu Internet Explorer 10 va fi actualizat automat la cea mai recentă versiune Internet Explorer 10, care va include Adobe Flash Player 12.0.0.70 pentru Windows 8.0.
  • Adobe Flash Player 12.0.0.44 instalat cu Internet Explorer 11 va fi actualizat automat la cea mai recentă versiune Internet Explorer 11, care va include Adobe Flash Player 12.0.0.70 pentru Windows 8.1.
  • Utilizatorii Adobe AIR 4.0.0.1390 și ai versiunilor anterioare pentru Android trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1628.
  • Utilizatorii SDK-ului Adobe AIR 4.0.0.1390 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul Adobe AIR 4.0.0.1628.
  • Utilizatorii SDK-ului și compilatorului Adobe AIR 4.0.0.1390 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul și compilatorul Adobe AIR 4.0.0.1628.

Aceste actualizări remediază o vulnerabilitate de depășire de stivă care poate duce la o executare de cod arbitrară (CVE-2014-0498).

Aceste actualizări remediază o vulnerabilitate de tip dezvăluire de memorie, care ar putea fi utilizată pentru a afecta caracterul aleatoriu al alocării adreselor de memorie (CVE-2014-0499).

Aceste actualizări remediază o vulnerabilitate de dezalocare dublă, care poate duce la o executare de cod arbitrară (CVE-2014-0502).

Software-uri afectate     Actualizare de player recomandată Disponibilitate
Flash Player 12.0.0.44 și versiunile anterioare pentru Windows și Macintosh   12.0.0.70 Centru de descărcare Flash Player
Flash Player 12.0.0.44 și versiunile anterioare (distribuție în rețea)   12.0.0.70 Licențierea Flash Player
Flash Player 11.2.202.336 și versiunile anterioare pentru Linux   11.2.202.336 Centru de descărcare Flash Player
Flash Player 12.0.0.44 și versiunile anterioare pentru Chrome (Windows, Macintosh și Linux)   12.0.0.70
Versiuni Google Chrome
Flash Player 12.0.0.44 și versiunile anterioare din Internet Explorer 10 pentru Windows 8.0   12.0.0.70
Recomandare de securitate Microsoft
Flash Player 12.0.0.44 și versiunile anterioare din Internet Explorer 11 pentru Windows 8.1   12.0.0.70
Recomandare de securitate Microsoft
AIR 4.0.0.1390 și versiunile anterioare pentru Android   4.0.0.1628 Google Play
SDK-ul și compilatorul AIR 4.0.0.1390   4.0.0.1628 Descărcați SDK-ul AIR
SDK-ul AIR 4.0.0.1390   4.0.0.1628 Descărcați SDK-ul AIR

Mențiuni

Adobe dorește să mulțumească următoarelor persoane și organizații pentru raportarea problemelor relevante și pentru colaborarea cu Adobe în scopul protejării clienților noștri: